form_expr_quadrature_unary< UnaryFunction, Expr >

## Public Types

typedef geo_element::size_type | size_type
typedef Expr::memory_type | memory_type
typedef details::generic_unary_traits< UnaryFunction >::template result_hint< typename Expr::value_type >::type | result_hint
typedef details::generic_unary_traits< UnaryFunction >::template hint< typename Expr::value_type,result_hint >::result_type | value_type
typedef scalar_traits< value_type >::type | scalar_type
typedef float_traits< value_type >::type | float_type
typedef space_basic< scalar_type, memory_type > | space_type
typedef Expr::vf_tag_type | vf_tag_type
typedef details::dual_vf_tag< vf_tag_type >::type | vf_dual_tag_type
typedef form_expr_quadrature_unary< UnaryFunction, Expr > | self_type
typedef form_expr_quadrature_unary< UnaryFunction, typename Expr::dual_self_type > | dual_self_type
typedef Expr::maybe_symmetric::type | maybe_symmetric

## Public Member Functions

template<class Sfinae = typename std::enable_if<is_form_expr_quadrature_arg<Expr>::value, Expr>::type>
| form_expr_quadrature_unary (const UnaryFunction &f, const Expr &expr)
const space_type & | get_trial_space () const
const space_type & | get_test_space () const
size_type | n_derivative () const
void | initialize (const geo_basic< float_type, memory_type > &omega_K, const integrate_option &iopt) const
void | initialize (const band_basic< float_type, memory_type > &gh, const integrate_option &iopt) const
template<class Value >
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Value >
bool | valued_check () const

## Static Public Attributes

static const space_constant::valued_type | valued_hint = space_constant::valued_tag_traits<value_type>::value

## Protected Attributes

UnaryFunction | _f
Expr | _expr

## Detailed Description

### template<class UnaryFunction, class Expr>
class rheolef::details::form_expr_quadrature_unary< UnaryFunction, Expr >

Definition at line 350 of file form_expr_quadrature.h.

## Member Typedef Documentation

## size_type

typedef geo_element::size_type size_type

Definition at line 354 of file form_expr_quadrature.h.

## memory_type

typedef Expr::memory_type memory_type

Definition at line 355 of file form_expr_quadrature.h.

## result_hint

typedef details::generic_unary_traits<UnaryFunction>::template result_hint< typename Expr::value_type>::type result_hint

Definition at line 357 of file form_expr_quadrature.h.

## value_type

typedef details::generic_unary_traits<UnaryFunction>::template hint< typename Expr::value_type ,result_hint>::result_type value_type

Definition at line 360 of file form_expr_quadrature.h.

## scalar_type

typedef scalar_traits<value_type>::type scalar_type

Definition at line 361 of file form_expr_quadrature.h.

## float_type

typedef float_traits<value_type>::type float_type

Definition at line 362 of file form_expr_quadrature.h.

## space_type

typedef space_basic<scalar_type,memory_type> space_type

Definition at line 363 of file form_expr_quadrature.h.

## vf_tag_type

typedef Expr::vf_tag_type vf_tag_type

Definition at line 364 of file form_expr_quadrature.h.

## vf_dual_tag_type

typedef details::dual_vf_tag<vf_tag_type>::type vf_dual_tag_type

Definition at line 366 of file form_expr_quadrature.h.

## self_type

typedef form_expr_quadrature_unary<UnaryFunction,Expr> self_type

Definition at line 367 of file form_expr_quadrature.h.

## dual_self_type

typedef form_expr_quadrature_unary<UnaryFunction, typename Expr::dual_self_type> dual_self_type

Definition at line 369 of file form_expr_quadrature.h.

## maybe_symmetric

typedef Expr::maybe_symmetric::type maybe_symmetric

Definition at line 370 of file form_expr_quadrature.h.

## Constructor & Destructor Documentation

## form_expr_quadrature_unary()

form_expr_quadrature_unary | ( | const UnaryFunction & | f,
|  | const Expr & | expr
| ) |  |

Definition at line 377 of file form_expr_quadrature.h.

## Member Function Documentation

## get_trial_space()

const space_type& get_trial_space | ( |  | ) | const

Definition at line 382 of file form_expr_quadrature.h.

## get_test_space()

const space_type& get_test_space | ( |  | ) | const

Definition at line 383 of file form_expr_quadrature.h.

## n_derivative()

size_type n_derivative | ( |  | ) | const

Definition at line 384 of file form_expr_quadrature.h.

## initialize() [1/2]

void initialize | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 388 of file form_expr_quadrature.h.

## initialize() [2/2]

void initialize | ( | const band_basic< float_type, memory_type > & | gh,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 390 of file form_expr_quadrature.h.

## evaluate()

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 394 of file form_expr_quadrature.h.

## valued_check()

bool valued_check | ( |  | ) | const

Definition at line 407 of file form_expr_quadrature.h.

## Member Data Documentation

## valued_hint

const space_constant::valued_type valued_hint = space_constant::valued_tag_traits<value_type>::value

static

Definition at line 372 of file form_expr_quadrature.h.

## _f

UnaryFunction _f

protected

Definition at line 414 of file form_expr_quadrature.h.

## _expr

Expr _expr

protected

Definition at line 415 of file form_expr_quadrature.h.

The documentation for this class was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/form_expr_quadrature.h